
> module Args (Config, in_file, out_file, parse_args) where

> data Config = Config { in_file, out_file :: String }

> default_config :: Config
> default_config = Config { in_file = "a.eps", out_file = "opt.eps" }

> parse_args :: [String] -> Config
> parse_args = parse_args' default_config

> parse_args' :: Config -> [String] -> Config
> parse_args' c [] = c
> parse_args' c ("-o":x:xs) = parse_args' (c { out_file = x }) xs
> parse_args' c (x:xs) = parse_args' (c { in_file = x }) xs

