
> module Main (main) where

> import System
> import Args
> import Positionise
> import Parser
> import Opt
> import Tree

> main :: IO()
> main = do args <- getArgs
>           let config = parse_args args
>           input <- readFile (in_file config)
>           let optimised = opt $ parse $ positionise input
>           writeFile (out_file config) $ show_tree optimised

